import {
  get,
  post,
  put,
  Delete,
  postForm,
  expoertExcel,
  getExcel,
  downloadExcel
} from "../request/http.js";
import { prototype } from "events";
const v1 = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-user`;
const ewellDefectData = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-data`;
const im = `/gastric-cancer${process.env.VUE_APP_MOD || ""}-im`;
export const API = {
  //居民端跳转
  postCToken: (data) => {
    return post(`${v1}/app/customer/forward`, data);
  },

  /*******************
   * 患者端-首页 *
   *******************/
  //文章推荐
  postArticle: (data) => {
    return post(`${ewellDefectData}/app/index/article/list`, data);
  },
  //! 筛查档案
  reportInfo: (data) => {
    return get(
      `${ewellDefectData}/app/customer/screen/report?patientId=${data.patientId}`,
      data
    );
  },
  
};
